<script setup>
import PLogo from '../atoms/PLogo.vue';
import { RouterLink } from 'vue-router';
</script>

<template>
  <header>
    <div class="gui">
      <nav>
        <div class="gui__header">
          <RouterLink class="gui__header__link" to="/"
            ><PLogo class="gui__header__logo"></PLogo
          ></RouterLink>
          <RouterLink class="gui__header__link" to="/">Home</RouterLink>
          <RouterLink class="gui__header__link" to="/planetarium">Planetarium</RouterLink>
        </div>
      </nav>
    </div>
  </header>
</template>

<style scoped lang="scss">
header {
  .gui {
    z-index: 100;
    position: absolute;
    inset: 0;
    pointer-events: none;
    overflow: hidden;

    * {
      pointer-events: all;
      color: white;
    }

    nav {
      position: fixed;
      @include responsive-value('top', 5);
      left: 3rem;
      @include small-up {
        left: 5rem;
      }

      a {
        @include responsive-value(font-size, 1.6);

        @include small-up {
          @include responsive-value(font-size, 2.2);
        }
      }

      a.router-link-exact-active {
        color: $color-dark-blue;
      }

      a.router-link-exact-active:hover {
        color: $color-text-grey;
      }
    }

    &__header {
      display: flex;
      align-items: center;
      @include responsive-value('gap', 5);
      &__logo {
        object-fit: contain;
        object-position: 0;
        @include responsive-value('width', 5);
        @include responsive-value('height', 5);
      }

      &__link {
        text-decoration: none;
      }
    }
  }
}
</style>
